<?php
/**
 * "Autoresponder" meta box panel.
 *
 * @link       https://www.boldermail.com/about/
 * @since      1.0.0
 *
 * @package    Boldermail
 * @subpackage Boldermail/admin
 * @author     Hernan Villanueva <hernan@boldermail.com>
 */

defined( 'ABSPATH' ) || exit;

global $pagenow;
$autoresponder_post_id = ( 'post-new.php' == $pagenow && isset( $_GET['post_type'] ) && $_GET['post_type'] == 'bm_newsletter_ares' && isset( $_GET['autoresponder'] ) && empty( $newsletter->get_autoresponder_post_id() ) ) ? absint( $_GET['autoresponder'] ) : $newsletter->get_autoresponder_post_id();

?>
<div id="autoresponder_panel" class="panel boldermail-options-panel">

	<p><?php esc_html_e( 'To which automation configuration are you adding this automating email to?', 'boldermail' ); ?></p>

	<p class="form-field">
		<label for="autoresponder"><?php esc_html_e( 'Autoresponder', 'boldermail' ); ?></label>

		<select id="autoresponder" name="_autoresponder" required>

			<option value="" <?php echo ( $readonly ) ? 'disabled' : ''; ?>><?php esc_html_e( 'Select autoresponder', 'boldermail' ); ?></option>

			<?php $autoresponders = boldermail_get_autoresponders(); ?>

			<?php foreach ( $autoresponders as $autoresponder ) : ?>
				<option value="<?php echo esc_attr( $autoresponder->get_post_id() ); ?>" <?php boldermail_selected_or_disabled( $is_editable, $autoresponder->get_post_id(), $autoresponder_post_id ); ?>><?php echo esc_html( $autoresponder->get_name() ); ?></option>
			<?php endforeach; ?>

		</select>
	</p>

</div>
<?php
