<?php
/**
 * RSS Feed meta box panel.
 *
 * @link       https://www.boldermail.com/about/
 * @since      1.0.0
 *
 * @package    Boldermail
 * @subpackage Boldermail/admin
 * @author     Hernan Villanueva <hernan@boldermail.com>
 */

defined( 'ABSPATH' ) || exit;

?>
<div id="feed_panel" class="panel boldermail-options-panel">

	<p><?php esc_html_e( 'Define the sending schedule, and confirm the start of the campaign.', 'boldermail' ); ?></p>

		<?php $when_to_send = $newsletter->get_rss_when_to_send(); ?>

		<p class="form-field">
			<label for="when_to_send"><?php esc_html_e( 'Send', 'boldermail' ); ?></label>

			<select id="when_to_send" name="_when_to_send">
				<option value="every-day"   <?php boldermail_selected_or_disabled( $is_editable, $when_to_send, "every-day" );   ?>><?php esc_html_e(   'Every day', 'boldermail' ); ?></option>
				<option value="every-week"  <?php boldermail_selected_or_disabled( $is_editable, $when_to_send, "every-week" );  ?>><?php esc_html_e(  'Every week', 'boldermail' ); ?></option>
				<option value="every-month" <?php boldermail_selected_or_disabled( $is_editable, $when_to_send, "every-month" ); ?>><?php esc_html_e( 'Every month', 'boldermail' ); ?></option>
			</select>

			<span class="description"><?php esc_html_e( "We'll only send if there's new content.", 'boldermail' ); ?></span>
		</p>

		<?php $which_days = $newsletter->get_rss_which_days(); ?>

		<fieldset class="form-field show-if-every-day">
			<label for="which_days"><?php esc_html_e( 'Send only on these days', 'boldermail' ); ?></label>
			<div id="which_days" class="boldermail-inline-checkboxes">
				<input type="checkbox" <?php echo $readonly; ?> id="which_days[0]" name="_which_days[]" value="MON" <?php if ( in_array( "MON", $which_days ) ) echo 'checked="checked"'; ?> />
				<label for="which_days[0]"><?php esc_html_e( 'Monday', 'boldermail' ); ?></label>

				<input type="checkbox" <?php echo $readonly; ?> id="which_days[1]" name="_which_days[]" value="TUE" <?php if ( in_array( "TUE", $which_days ) ) echo 'checked="checked"'; ?> />
				<label for="which_days[1]"><?php esc_html_e( 'Tuesday', 'boldermail' ); ?></label>

				<input type="checkbox" <?php echo $readonly; ?> id="which_days[2]" name="_which_days[]" value="WED" <?php if ( in_array( "WED", $which_days ) ) echo 'checked="checked"'; ?> />
				<label for="which_days[2]"><?php esc_html_e( 'Wednesday', 'boldermail' ); ?></label>

				<input type="checkbox" <?php echo $readonly; ?> id="which_days[3]" name="_which_days[]" value="THU" <?php if ( in_array( "THU", $which_days ) ) echo 'checked="checked"'; ?> />
				<label for="which_days[3]"><?php esc_html_e( 'Thursday', 'boldermail' ); ?></label>

				<input type="checkbox" <?php echo $readonly; ?> id="which_days[4]" name="_which_days[]" value="FRI" <?php if ( in_array( "FRI", $which_days ) ) echo 'checked="checked"'; ?> />
				<label for="which_days[4]"><?php esc_html_e( 'Friday', 'boldermail' ); ?></label>

				<input type="checkbox" <?php echo $readonly; ?> id="which_days[5]" name="_which_days[]" value="SAT" <?php if ( in_array( "SAT", $which_days ) ) echo 'checked="checked"'; ?> />
				<label for="which_days[5]"><?php esc_html_e( 'Saturday', 'boldermail' ); ?></label>

				<input type="checkbox" <?php echo $readonly; ?> id="which_days[6]" name="_which_days[]" value="SUN" <?php if ( in_array( "SUN", $which_days ) ) echo 'checked="checked"'; ?> />
				<label for="which_days[6]"><?php esc_html_e( 'Sunday', 'boldermail' ); ?></label>
			</div>
		</fieldset>

		<?php $what_day = $newsletter->get_rss_what_day(); ?>

		<fieldset class="form-field show-if-every-week">
			<label for="what_day"><?php esc_html_e( 'On what day?', 'boldermail' ); ?></label>
			<select id="what_day" name="_what_day">
				<option value="MON" <?php boldermail_selected_or_disabled( $is_editable, $what_day, "MON" ); ?>><?php esc_html_e(    'Monday', 'boldermail' ); ?></option>
				<option value="TUE" <?php boldermail_selected_or_disabled( $is_editable, $what_day, "TUE" ); ?>><?php esc_html_e(   'Tuesday', 'boldermail' ); ?></option>
				<option value="WED" <?php boldermail_selected_or_disabled( $is_editable, $what_day, "WED" ); ?>><?php esc_html_e( 'Wednesday', 'boldermail' ); ?></option>
				<option value="THU" <?php boldermail_selected_or_disabled( $is_editable, $what_day, "THU" ); ?>><?php esc_html_e(  'Thursday', 'boldermail' ); ?></option>
				<option value="FRI" <?php boldermail_selected_or_disabled( $is_editable, $what_day, "FRI" ); ?>><?php esc_html_e(    'Friday', 'boldermail' ); ?></option>
				<option value="SAT" <?php boldermail_selected_or_disabled( $is_editable, $what_day, "SAT" ); ?>><?php esc_html_e(  'Saturday', 'boldermail' ); ?></option>
				<option value="SUN" <?php boldermail_selected_or_disabled( $is_editable, $what_day, "SUN" ); ?>><?php esc_html_e(    'Sunday', 'boldermail' ); ?></option>
			</select>
		</fieldset>

		<?php $which_date = $newsletter->get_rss_which_date(); ?>

		<fieldset class="form-field show-if-every-month">
			<label for="which_date"><?php esc_html_e( 'On which date?', 'boldermail' ); ?></label>
			<select id="which_date" name="_which_date">
				<option value= "1" <?php boldermail_selected_or_disabled( $is_editable, $which_date,  "1" ); ?>><?php esc_html_e(  '1st', 'boldermail' ); ?></option>
				<option value= "2" <?php boldermail_selected_or_disabled( $is_editable, $which_date,  "2" ); ?>><?php esc_html_e(  '2nd', 'boldermail' ); ?></option>
				<option value= "3" <?php boldermail_selected_or_disabled( $is_editable, $which_date,  "3" ); ?>><?php esc_html_e(  '3rd', 'boldermail' ); ?></option>
				<option value= "4" <?php boldermail_selected_or_disabled( $is_editable, $which_date,  "4" ); ?>><?php esc_html_e(  '4th', 'boldermail' ); ?></option>
				<option value= "5" <?php boldermail_selected_or_disabled( $is_editable, $which_date,  "5" ); ?>><?php esc_html_e(  '5th', 'boldermail' ); ?></option>
				<option value= "6" <?php boldermail_selected_or_disabled( $is_editable, $which_date,  "6" ); ?>><?php esc_html_e(  '6th', 'boldermail' ); ?></option>
				<option value= "7" <?php boldermail_selected_or_disabled( $is_editable, $which_date,  "7" ); ?>><?php esc_html_e(  '7th', 'boldermail' ); ?></option>
				<option value= "8" <?php boldermail_selected_or_disabled( $is_editable, $which_date,  "8" ); ?>><?php esc_html_e(  '8th', 'boldermail' ); ?></option>
				<option value= "9" <?php boldermail_selected_or_disabled( $is_editable, $which_date,  "9" ); ?>><?php esc_html_e(  '9th', 'boldermail' ); ?></option>
				<option value="10" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "10" ); ?>><?php esc_html_e( '10th', 'boldermail' ); ?></option>
				<option value="11" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "11" ); ?>><?php esc_html_e( '11th', 'boldermail' ); ?></option>
				<option value="12" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "12" ); ?>><?php esc_html_e( '12th', 'boldermail' ); ?></option>
				<option value="13" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "13" ); ?>><?php esc_html_e( '13th', 'boldermail' ); ?></option>
				<option value="14" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "14" ); ?>><?php esc_html_e( '14th', 'boldermail' ); ?></option>
				<option value="15" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "15" ); ?>><?php esc_html_e( '15th', 'boldermail' ); ?></option>
				<option value="16" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "16" ); ?>><?php esc_html_e( '16th', 'boldermail' ); ?></option>
				<option value="17" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "17" ); ?>><?php esc_html_e( '17th', 'boldermail' ); ?></option>
				<option value="18" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "18" ); ?>><?php esc_html_e( '18th', 'boldermail' ); ?></option>
				<option value="19" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "19" ); ?>><?php esc_html_e( '19th', 'boldermail' ); ?></option>
				<option value="20" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "20" ); ?>><?php esc_html_e( '20th', 'boldermail' ); ?></option>
				<option value="21" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "21" ); ?>><?php esc_html_e( '21st', 'boldermail' ); ?></option>
				<option value="22" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "22" ); ?>><?php esc_html_e( '22nd', 'boldermail' ); ?></option>
				<option value="23" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "23" ); ?>><?php esc_html_e( '23rd', 'boldermail' ); ?></option>
				<option value="24" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "24" ); ?>><?php esc_html_e( '24th', 'boldermail' ); ?></option>
				<option value="25" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "25" ); ?>><?php esc_html_e( '25th', 'boldermail' ); ?></option>
				<option value="26" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "26" ); ?>><?php esc_html_e( '26th', 'boldermail' ); ?></option>
				<option value="27" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "27" ); ?>><?php esc_html_e( '27th', 'boldermail' ); ?></option>
				<option value="28" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "28" ); ?>><?php esc_html_e( '28th', 'boldermail' ); ?></option>
				<option value= "L" <?php boldermail_selected_or_disabled( $is_editable, $which_date,  "L" ); ?>><?php esc_html_e( 'Last day of the month', 'boldermail' ); ?></option>
				<option value="29" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "29" ); ?>><?php esc_html_e( '29th (not available in all months)', 'boldermail' ); ?></option>
				<option value="30" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "30" ); ?>><?php esc_html_e( '30th (not available in all months)', 'boldermail' ); ?></option>
				<option value="31" <?php boldermail_selected_or_disabled( $is_editable, $which_date, "31" ); ?>><?php esc_html_e( '31st (not available in all months)', 'boldermail' ); ?></option>
			</select>
		</fieldset>

		<?php $what_time = $newsletter->get_rss_what_time(); ?>

		<fieldset class="form-field">
			<label for="what_time"><?php esc_html_e( 'At what time?', 'boldermail' ); ?></label>
			<select id="what_time" name="_what_time">
				<option value= "0" <?php boldermail_selected_or_disabled( $is_editable, $what_time,  "0" ); ?>>12:00 AM</option>
				<option value= "1" <?php boldermail_selected_or_disabled( $is_editable, $what_time,  "1" ); ?>>01:00 AM</option>
				<option value= "2" <?php boldermail_selected_or_disabled( $is_editable, $what_time,  "2" ); ?>>02:00 AM</option>
				<option value= "3" <?php boldermail_selected_or_disabled( $is_editable, $what_time,  "3" ); ?>>03:00 AM</option>
				<option value= "4" <?php boldermail_selected_or_disabled( $is_editable, $what_time,  "4" ); ?>>04:00 AM</option>
				<option value= "5" <?php boldermail_selected_or_disabled( $is_editable, $what_time,  "5" ); ?>>05:00 AM</option>
				<option value= "6" <?php boldermail_selected_or_disabled( $is_editable, $what_time,  "6" ); ?>>06:00 AM</option>
				<option value= "7" <?php boldermail_selected_or_disabled( $is_editable, $what_time,  "7" ); ?>>07:00 AM</option>
				<option value= "8" <?php boldermail_selected_or_disabled( $is_editable, $what_time,  "8" ); ?>>08:00 AM</option>
				<option value= "9" <?php boldermail_selected_or_disabled( $is_editable, $what_time,  "9" ); ?>>09:00 AM</option>
				<option value="10" <?php boldermail_selected_or_disabled( $is_editable, $what_time, "10" ); ?>>10:00 AM</option>
				<option value="11" <?php boldermail_selected_or_disabled( $is_editable, $what_time, "11" ); ?>>11:00 AM</option>
				<option value="12" <?php boldermail_selected_or_disabled( $is_editable, $what_time, "12" ); ?>>12:00 PM</option>
				<option value="13" <?php boldermail_selected_or_disabled( $is_editable, $what_time, "13" ); ?>>01:00 PM</option>
				<option value="14" <?php boldermail_selected_or_disabled( $is_editable, $what_time, "14" ); ?>>02:00 PM</option>
				<option value="15" <?php boldermail_selected_or_disabled( $is_editable, $what_time, "15" ); ?>>03:00 PM</option>
				<option value="16" <?php boldermail_selected_or_disabled( $is_editable, $what_time, "16" ); ?>>04:00 PM</option>
				<option value="17" <?php boldermail_selected_or_disabled( $is_editable, $what_time, "17" ); ?>>05:00 PM</option>
				<option value="18" <?php boldermail_selected_or_disabled( $is_editable, $what_time, "18" ); ?>>06:00 PM</option>
				<option value="19" <?php boldermail_selected_or_disabled( $is_editable, $what_time, "19" ); ?>>07:00 PM</option>
				<option value="20" <?php boldermail_selected_or_disabled( $is_editable, $what_time, "20" ); ?>>08:00 PM</option>
				<option value="21" <?php boldermail_selected_or_disabled( $is_editable, $what_time, "21" ); ?>>09:00 PM</option>
				<option value="22" <?php boldermail_selected_or_disabled( $is_editable, $what_time, "22" ); ?>>10:00 PM</option>
				<option value="23" <?php boldermail_selected_or_disabled( $is_editable, $what_time, "23" ); ?>>11:00 PM</option>
			</select>
			<?php if ( get_option( 'timezone_string' ) == '' ) : ?>
				<span class="description"><?php esc_html_e( 'The time is on the universal timezone.', 'boldermail' ); ?></span>
			<?php else :?>
				<span class="description"><?php printf( __( 'The time is on the %s timezone.', 'boldermail' ), get_option( 'timezone_string' ) ); ?></span>
			<?php endif; ?>
		</fieldset>

</div>
<?php
