<?php
/**
 * "To:" meta box panel.
 *
 * @link       https://www.boldermail.com/about/
 * @since      1.0.0
 *
 * @package    Boldermail
 * @subpackage Boldermail/admin
 * @author     Hernan Villanueva <hernan@boldermail.com>
 */

defined( 'ABSPATH' ) || exit;

?>
<div id="to_panel" class="panel boldermail-options-panel">

	<h3><?php esc_html_e( 'Who are you sending this campaign to?', 'boldermail' ); ?></h3>

	<p class="form-field">
		<label for="list_id"><?php esc_html_e( 'List', 'boldermail' ); ?></label>

		<?php $bm_lists = boldermail_get_lists(); ?>

		<select id="list_id" name="_list_id[]" multiple <?php echo $newsletter->is_editable() ? '' : 'disabled'; ?> size="<?php echo count( $bm_lists ); ?>" class="boldermail-select2" data-placeholder="<?php esc_html_e( 'Click here to select one or more lists', 'boldermail' ); ?>">

			<?php foreach ( $bm_lists as $bm_list ) : ?>
				<option value="<?php echo esc_attr( $bm_list->get_list_id() ); ?>" <?php boldermail_selected_or_disabled( $is_editable, $bm_list->get_list_id(), $newsletter->get_list_id() ); ?>><?php echo esc_html( $bm_list->get_name() ); ?></option>
			<?php endforeach; ?>

		</select>

		<?php if ( ! $newsletter->is_editable() ) : ?>
			<?php foreach ( $newsletter->get_list_id() as $bm_list_id ) : ?>
				<input type="hidden" name="_list_id[]" value="<?php echo esc_attr( $bm_list_id ); ?>" />
			<?php endforeach; ?>
		<?php endif; ?>

	</p>

</div>
<?php
